
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Belajar Vue Router</title>
</head>
<body>
  <div id="app">
      <h1>Belajar Vue Router</h1>
      <router-link to="/">Home</router-link>
      <router-link to="/about">About</router-link>

      <router-view>
          
      </router-view>

  
  </div>    
   <script src="https://cdn.jsdelivr.net/npm/vue@2.6.14/dist/vue.js"></script>
  <script src="https://unpkg.com/vue-router@3.0.7/dist/vue-router.js"></script>

  <script>

      const Home={
          template:`
          <p> Ini Component Home </p>
          
          `
      };

      const About ={
          template:`<p>
            Ini Component About
            
            </p>`
      };

      const NotFound ={
          template:`<p>
            Ini 404
            
            </p>`
      };

      const BlogsComponent={
          computed:{
              title:function(){

                  let slug=this.$route.params.slug;
                  return slug.split('-').join(" ").toUpperCase();
              }
          },
          template:`
          <div>

            ini judul Blog {{title}}

            </div>
          
          
          `
      }

      const routes= [
          {
              path:"/",
              component:Home,
              name:"home",
              alias:"/home"
          },
          {
              path:"/about",
              component:About,
              name:"about"
          },{
              path:"/404",
              component:NotFound,
              name:"notfound"

          },
          {
              path:"/blog/:slug",
              component:BlogsComponent,
              name:'blog'

          },
          
          {
              path:"*",
              redirect:"/404"
          }
      ];

    const router= new VueRouter({
        // mode:"history",

        routes


    })


      var vm= new Vue({
          el:"#app",
          data:{
              message:"Sedang Belajar Vue Js"
          },
          router
      })
  </script>
  </body>
</html>
